%bcond_without check

%global goipath         github.com/koppacetic/go-gpsd
Version:                0.4.0

%gometa

%global common_description %{expand:
GPSD client for Go.}

%global godocs          examples README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        GPSD client for Go

License:        MIT

URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep
sed -i 's|"github.com/atotto/go-gpsd"|"github.com/koppacetic/go-gpsd"|' $(find -iname *.go -type f)

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
